# Class BattleStatMultiplierAbAttr

#### Hierarchy (view full)

- AbAttr
  - BattleStatMultiplierAbAttr

- Defined in src/data/ability.ts:1196

#####
Index

### Constructors

constructor

### Properties

battleStat
condition
multiplier
showAbility

### Methods

addCondition
apply
applyBattleStat
getCondition
getTriggerMessage

## Constructors

### constructor

- new BattleStatMultiplierAbAttr(battleStat, multiplier, condition?): BattleStatMultiplierAbAttr

- #### Parameters

  - battleStat: BattleStat
  - multiplier: number
  - `Optional` condition: PokemonAttackCondition

  #### Returns BattleStatMultiplierAbAttr

  Overrides AbAttr.constructor

  - Defined in src/data/ability.ts:1201

## Properties

### `Private` battleStat

battleStat: BattleStat

- Defined in src/data/ability.ts:1197

### `Private` condition

condition: PokemonAttackCondition

- Defined in src/data/ability.ts:1199

### `Private` multiplier

multiplier: number

- Defined in src/data/ability.ts:1198

### showAbility

showAbility: boolean

Inherited from AbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from AbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from AbAttr.apply

  - Defined in src/data/ability.ts:133

### applyBattleStat

- applyBattleStat(pokemon, passive, battleStat, statValue, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - battleStat: BattleStat
  - statValue: NumberHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  - Defined in src/data/ability.ts:1209

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from AbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from AbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137